<!DOCTYPE html>
<html>
<head>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!--  -->
	<head>
		<h1>HTML Entities</h1>
	</head>
	<main>
		<section>
			<p><em> Reserved charaters in HTML (e.g &lt; or &gt;) that can mix up with HTML code </em></p>
			<!---border value define thickness of border-->
			<table border="2"> 
				<!--- This is for the header of the table------>
				<thead>
				<!--tr tag defines a Table row--->
				<tr>
				<!---th tag defines table tag element--->
				<!---colspan tag changes the amount of column--->
					<th colspan="2" >Entity</th>
				<!---rowspan tag changes the amount of rows--->	
					<th rowspan="2">Description</th>
				</tr>					
				<tr>
					<th>Symbol</th>
					<th>Name/Number</th>
				</tr>
				</thead>
				<!--- This is for the body of the table------>
				<tbody>
				<!--- This is for the first row of the table------>
					<tr>
				<!--- This is for the first column ------>
						<td>&lt;</td>
				<!--- This is for the second column ------>
						<td>lt</td>
				<!--- This is for the third column ------>
						<td>Less than</td>
					</tr>
		<!--- This is for the Second row of the table------>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>Greater than</td>

					</tr>
		<!--- This is for the Third row of the table------>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
		<!--- This is for the fourth row of the table------>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>

					</tr>
		<!--- This is for the fifth row of the table------>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>

					</tr>
		<!--- This is for the Sixth row of the table------>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark(apostrophe)</td>

					</tr>
		<!--- This is for the Seventh row of the table------>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>

					</tr>

		<!--- This is for the Eigth row of the table------>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>

					</tr>
				</tbody>
				<!--- This is for the footer of the table------>
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities.</th>
					
					</tr>
				</tfoot>
			</table>
		</section>
	<!- This section is for HTML forms-->
	<section>
		
		<h2>HTML Forms</h2>
		<p> <em>Input element that make up a form. </em> </p>
		<form>
			<!--Text inputs -->
			<!--Label tag creates text element that serve as the label the input-->
			<!-- type attribute will define what type of  type of information  in the input field should be-->
			<!-- for attribute is used with id attribute in an input elemeent. This allows the users to click the label-->
			<label for="fulllname" >Full Name:</label> <br/>
			<input type="text" name="fulllname" required id="fulllname" /><br/>
			
			<label for="birthdate" >Birthdate:</label> <br/>
			<input type="date" name="Birthdate" id="birthdate" /><br/>
			
			<label for="age" >Age:</label> <br/>
			<input type="Number" name="Age" id="age" /><br/>
			<!--Dropdown  -->
			<label for="gender" >Gender:</label> <br/>
			<select name=" gender" id="gender">
				<option value="male">Male</option>
			<option value="female" >Female</option>
			</select> <br/>
			<!-- textarea-->
			<label >Notes: </label><br/>
			<textarea name="notes" rows="5" cols="5" > </textarea> <br/>
			<!-- textarea-->
			<label for="yes" for="no"> New User: </label> <br/>

			<input type="radio" name="newuser"  value= "yes" id="yes" > 
			<label>Yes</label> <br/>
			<label for="no"> New User: </label> <br/>
			<input type="radio" name="newuser"  value= "no" id="no" > 
			<label>No</label> <br/>

			<!--This is for the checkbox-->
			<label for="role1"for="role2" for="role3"> Role: </label> <br/>
			
			<input type="checkbox" name="role1" id="role1"><label> Developer</label><br/>
<label for="role2"> Role: </label> <br/>

			<input type="checkbox" name="role2" id="role2"><label> Student</label><br/>
<label for="role3"> Role: </label> <br/>
			<input type="checkbox" name="role3" id="role3" ><label> Manager </label><br/>



			<button>Submit </button> <br/>
			<button type="reset" >Reset</button>

		</form>


	</section>

	</main>

</body>
</html>